Bug 985518 - [drm:radeon_dp_link_train_cr] *ERROR* displayport link status failed
[drm:radeon_dp_link_train_cr] *ERROR* displayport link status failed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 12:34 EDT by Alexander Lindqvist
Modified: 2015-02-17 11:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:12:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (76.63 KB, text/plain)
2013-07-17 12:34 EDT, Alexander Lindqvist
no flags Details
Xorg.0.log (53.84 KB, text/plain)
2013-07-17 12:34 EDT, Alexander Lindqvist
no flags Details

  None (edit)
Description Alexander Lindqvist 2013-07-17 12:34:12 EDT
Created attachment 774851 [details]
dmesg

Description of problem:
Fails 4 times out of 5 (so not every time) to activate external screen.

Version-Release number of selected component (if applicable):
Fedora 19 fully updated as of 2013-07-17.

How reproducible:
Boot to X

Steps to Reproduce:
1.
2.
3.

Actual results:
Activates internal screen on HP Elitebook 8470w but not external

Expected results:
Should work every time.

Additional info:
Hardware HP Elitebook 8470w with a AMD Firepro m2000 (Turks based) and an external HP ZR30w with 2560x1600 resolution via DP..

Boots to a working desktop sometimes but more than often results in a blinking screen where you see the desktop for a second a few times and then blackscreen and the monitor goes to sleep on the external screen. Internal screen works fine.

Works everytime with EL6 and Catalyst driver.

Got this in dmesg:

[    9.003396] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed: 5 tries
[    9.003399] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed
[    9.028117] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed: 5 tries
[    9.028118] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed
[    9.267736] e1000e: enp0s25 NIC Link is Up 100 Mbps Full Duplex, Flow Control: Rx/Tx
[    9.267747] e1000e 0000:00:19.0 enp0s25: 10/100 speed: disabling TSO
[    9.267814] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s25: link becomes ready
[   32.459695] hp_wmi: Unknown event_id - 8 - 0x2
[   32.962990] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed: 5 tries
[   32.962993] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed
[   32.987682] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed: 5 tries
[   32.987683] [drm:radeon_dp_link_train_ce] *ERROR* channel eq failed
[   49.790048] fuse init (API version 7.21)
[   49.792795] SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
[   49.801789] SELinux: initialized (dev fusectl, type fusectl), uses genfs_contexts
[   50.343655] [drm:radeon_dp_link_train_cr] *ERROR* displayport link status failed
[   50.343658] [drm:radeon_dp_link_train_cr] *ERROR* clock recovery failed
[   50.351872] [drm:radeon_dp_link_train_cr] *ERROR* displayport link status failed
[   50.351874] [drm:radeon_dp_link_train_cr] *ERROR* clock recovery failed
Comment 1 Alexander Lindqvist 2013-07-17 12:34:53 EDT
Created attachment 774852 [details]
Xorg.0.log
Comment 2 Alexander Lindqvist 2014-08-06 04:44:16 EDT
Works in Fedora 20. This bug can be closed.
Comment 3 Fedora End Of Life 2015-01-09 13:58:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:12:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.